package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 关于我们对象 t_about_us
 *
 * @author luobo
 * @date 2021-09-20
 */
public class AboutUs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关于我们id */
    private Long aboutUsId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 求助电话 */
    @Excel(name = "求助电话")
    private String helpPhone;

    /** 展示图片 */
    private String showPictures;

    /** 简介1 */
    @Excel(name = "简介1")
    private String briefText1;

    /** 简介2 */
    @Excel(name = "简介2")
    private String briefText2;

    /** 简介3 */
    @Excel(name = "简介3")
    private String briefText3;

    /** 简介4 */
    @Excel(name = "简介4")
    private String briefText4;

    /** 详情 */
    private String content;

    /** 背景图片1 */
    private String bgImg1;

    /** 背景图片2 */
    private String bgImg2;

    /** 背景图片3 */
    private String bgImg3;

    /** 背景图片4 */
    private String bgImg4;

    public void setAboutUsId(Long aboutUsId)
    {
        this.aboutUsId = aboutUsId;
    }

    public Long getAboutUsId()
    {
        return aboutUsId;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setHelpPhone(String helpPhone)
    {
        this.helpPhone = helpPhone;
    }

    public String getHelpPhone()
    {
        return helpPhone;
    }
    public void setShowPictures(String showPictures)
    {
        this.showPictures = showPictures;
    }

    public String getShowPictures()
    {
        return showPictures;
    }
    public void setBriefText1(String briefText1)
    {
        this.briefText1 = briefText1;
    }

    public String getBriefText1()
    {
        return briefText1;
    }
    public void setBriefText2(String briefText2)
    {
        this.briefText2 = briefText2;
    }

    public String getBriefText2()
    {
        return briefText2;
    }
    public void setBriefText3(String briefText3)
    {
        this.briefText3 = briefText3;
    }

    public String getBriefText3()
    {
        return briefText3;
    }
    public void setBriefText4(String briefText4)
    {
        this.briefText4 = briefText4;
    }

    public String getBriefText4()
    {
        return briefText4;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setBgImg1(String bgImg1)
    {
        this.bgImg1 = bgImg1;
    }

    public String getBgImg1()
    {
        return bgImg1;
    }
    public void setBgImg2(String bgImg2)
    {
        this.bgImg2 = bgImg2;
    }

    public String getBgImg2()
    {
        return bgImg2;
    }
    public void setBgImg3(String bgImg3)
    {
        this.bgImg3 = bgImg3;
    }

    public String getBgImg3()
    {
        return bgImg3;
    }
    public void setBgImg4(String bgImg4)
    {
        this.bgImg4 = bgImg4;
    }

    public String getBgImg4()
    {
        return bgImg4;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("aboutUsId", getAboutUsId())
            .append("title", getTitle())
            .append("helpPhone", getHelpPhone())
            .append("showPictures", getShowPictures())
            .append("briefText1", getBriefText1())
            .append("briefText2", getBriefText2())
            .append("briefText3", getBriefText3())
            .append("briefText4", getBriefText4())
            .append("content", getContent())
            .append("bgImg1", getBgImg1())
            .append("bgImg2", getBgImg2())
            .append("bgImg3", getBgImg3())
            .append("bgImg4", getBgImg4())
            .append("createTime", getCreateTime())
            .toString();
    }
}
